com.verisign.epp.codec.org

## Class EPPOrgCheckResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.org.EPPOrgCheckResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPOrgCheckResp
      extends EPPResponse

  Represents a org <check> response that returns the availability of a set of client-specified but server-unique org identifiers.
  See Also:
    `EPPOrgCheckCmd`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPOrgCheckResp`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPOrgCheckResp`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPOrgCheckResp()` `EPPOrgCheckResp` default constructor.
    `EPPOrgCheckResp(EPPTransId aTransId)` `EPPOrgCheckResp` constructor that only takes the transaction identifier.
    `EPPOrgCheckResp(EPPTransId aTransId, EPPOrgCheckResult aResult)` `EPPOrgCheckResp` constructor that takes an individual result.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCheckResult(EPPOrgCheckResult aResult)` Append a result to the list of results.
    `java.lang.Object` | `clone()` Clone `EPPOrgCheckResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPOrgCheckResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPOrgCheckResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPOrgCheckResp` with this instance.
    `java.util.List<EPPOrgCheckResult>` | `getCheckResults()` Gets the list of results.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPOrgCheckResp`.
    `java.lang.String` | `getType()` Get the EPP response type associated with `EPPOrgCheckResp`.
    `boolean` | `hasCheckResults()` Are any results defined in the list of results?
    `void` | `setCheckResult(EPPOrgCheckResult aResult)` Set an individual check result.
    `void` | `setCheckResults(java.util.List<EPPOrgCheckResult> aResults)` Sets the list of results.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgCheckResp`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPOrgCheckResp`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgCheckResp

          public EPPOrgCheckResp()

      `EPPOrgCheckResp` default constructor. It will set results attribute to an empty `List`.

    - #### EPPOrgCheckResp

          public EPPOrgCheckResp(EPPTransId aTransId)

      `EPPOrgCheckResp` constructor that only takes the transaction identifier.
      Parameters:
        `aTransId` - transaction Id associated with response

    - #### EPPOrgCheckResp

          public EPPOrgCheckResp(EPPTransId aTransId,
                                 EPPOrgCheckResult aResult)

      `EPPOrgCheckResp` constructor that takes an individual result. Add more tables using `addCheckResult(EPPOrgCheckResult)`.
      Parameters:
        `aTransId` - transaction Id associated with response
        `aResult` - An individual check result

  - ### Method Detail

    - #### hasCheckResults

          public boolean hasCheckResults()

      Are any results defined in the list of results?
      Returns:
        `true` if there is at least one result defined; `false` otherwise.

    - #### getCheckResults

          public java.util.List<EPPOrgCheckResult> getCheckResults()

      Gets the list of results.
      Returns:
        `List` of results

    - #### setCheckResults

          public void setCheckResults(java.util.List<EPPOrgCheckResult> aResults)

      Sets the list of results.
      Parameters:
        `aResults` - `List` of results

    - #### setCheckResult

          public void setCheckResult(EPPOrgCheckResult aResult)

      Set an individual check result. This method clears the existing list of check results.
      Parameters:
        `aResult` - An individual check result.

    - #### addCheckResult

          public void addCheckResult(EPPOrgCheckResult aResult)

      Append a result to the list of results. This method does NOT clear the existing list of results.
      Parameters:
        `aResult` - A result to add to the list of results

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPOrgCheckResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPOrgCheckResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPOrgCheckResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPOrgCheckResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPOrgCheckResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getType

          public java.lang.String getType()

      Get the EPP response type associated with `EPPOrgCheckResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        `EPPOrgCheckResp.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPOrgCheckResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPRegistryMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPOrgCheckResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPOrgCheckResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPOrgCheckResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.